CREATE TABLE fla_liability_schedules (
    LIABILITY_SCHEDULE_ID             NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    SCHEDULE_HEADER_ID                NUMBER(18, 0)     NOT NULL,
    SCHEDULE_DATE                     DATE              NOT NULL,
    PERIOD_NAME                       VARCHAR2(60)  ,
    LIABILITY_START_DATE              DATE              NOT NULL,
    LIABILITY_END_DATE                DATE              NOT NULL,
    PAYMENT_ITEM_AMOUNT               NUMBER        ,
    NUMBER_OF_LIABILITY_DAYS          NUMBER(9, 0)  ,
    CUMULATIVE_NUMBER_OF_DAYS         NUMBER(9, 0)  ,
    PRESENT_VALUE_AMOUNT              NUMBER        ,
    OPENING_LIABILITY_AMOUNT          NUMBER        ,
    CLOSING_LIABILITY_AMOUNT          NUMBER        ,
    INTEREST_AMOUNT                   NUMBER        ,
    INTEREST_REMAINDER_AMOUNT         NUMBER        ,
    CATCHUP_FLAG                      VARCHAR2(4)       NOT NULL,
    READ_IN_DRAFT_FLAG                VARCHAR2(4)       NOT NULL,
    LIABILITY_REVERSAL_FLAG           VARCHAR2(4)   ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    INCREASE_AMOUNT                   NUMBER        ,
    CONTINGENT_AMOUNT                 NUMBER        ,
    CUMULATIVE_INCREASE_AMOUNT        NUMBER        ,
    CUMULATIVE_CONTINGENT_AMOUNT      NUMBER        ,
    SCHEDULING_VERSION_NUM            NUMBER(8, 0)  ,
    PAYMENT_ITEM_DATE                 DATE          ,
    SCHEDULES_BATCH_ID                NUMBER(18, 0) ,
    OPENING_SHORT_TERM_LIAB_AMOUNT    NUMBER        ,
    RECLASS_SHORT_TERM_LIAB_AMOUNT    NUMBER        ,
    CLOSING_SHORT_TERM_LIAB_AMOUNT    NUMBER        ,
    OPENING_LONG_TERM_LIAB_AMOUNT     NUMBER        ,
    RECLASS_LONG_TERM_LIAB_AMOUNT     NUMBER        ,
    CLOSING_LONG_TERM_LIAB_AMOUNT     NUMBER        ,
    PAYMENT_NUMBER                    VARCHAR2(120) ,
    VERSION_NUM                       NUMBER(9, 0)  ,
    LEASE_ID                          NUMBER(18, 0) ,
    UPFRONT_TAX_AMOUNT                NUMBER        ,
    ASSET_NUMBER                      VARCHAR2(120) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    LIABILITY_SCHEDULE_ID             NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    SCHEDULE_HEADER_ID                NUMBER(18, 0)     NOT NULL,
    SCHEDULE_DATE                     DATE              NOT NULL,
    LIABILITY_START_DATE              DATE              NOT NULL,
    LIABILITY_END_DATE                DATE              NOT NULL,
    PAYMENT_ITEM_AMOUNT               NUMBER        ,
    NUMBER_OF_LIABILITY_DAYS          NUMBER(9, 0)  ,
    CUMULATIVE_NUMBER_OF_DAYS         NUMBER(9, 0)  ,
    PRESENT_VALUE_AMOUNT              NUMBER        ,
    OPENING_LIABILITY_AMOUNT          NUMBER        ,
    CLOSING_LIABILITY_AMOUNT          NUMBER        ,
    INTEREST_AMOUNT                   NUMBER        ,
    INTEREST_REMAINDER_AMOUNT         NUMBER        ,
    CATCHUP_FLAG                      VARCHAR2(4)       NOT NULL,
    READ_IN_DRAFT_FLAG                VARCHAR2(4)       NOT NULL,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    PERIOD_NAME                       VARCHAR2(60)  ,
    LIABILITY_REVERSAL_FLAG           VARCHAR2(4)   ,
    INCREASE_AMOUNT                   NUMBER        ,
    CONTINGENT_AMOUNT                 NUMBER        ,
    CUMULATIVE_INCREASE_AMOUNT        NUMBER        ,
    CUMULATIVE_CONTINGENT_AMOUNT      NUMBER        ,
    SCHEDULING_VERSION_NUM            NUMBER(8, 0)  ,
    PAYMENT_ITEM_DATE                 DATE          ,
    SCHEDULES_BATCH_ID                NUMBER(18, 0) ,
    OPENING_SHORT_TERM_LIAB_AMOUNT    NUMBER        ,
    RECLASS_SHORT_TERM_LIAB_AMOUNT    NUMBER        ,
    CLOSING_SHORT_TERM_LIAB_AMOUNT    NUMBER        ,
    OPENING_LONG_TERM_LIAB_AMOUNT     NUMBER        ,
    RECLASS_LONG_TERM_LIAB_AMOUNT     NUMBER        ,
    CLOSING_LONG_TERM_LIAB_AMOUNT     NUMBER        ,
    PAYMENT_NUMBER                    VARCHAR2(120) ,
    VERSION_NUM                       NUMBER(9, 0)  ,
    LEASE_ID                          NUMBER(18, 0) ,
    UPFRONT_TAX_AMOUNT                NUMBER        ,
    ASSET_NUMBER                      VARCHAR2(120) ,
    CONSTRAINT pk_fla_liability_schedules PRIMARY KEY (LIABILITY_SCHEDULE_ID, LIABILITY_SCHEDULE_ID)
);
